Follow

Grid OS Uplift from Debian Squeeze to Wheezy

  • Applies to: Grid
    • Difficulty: Easy
    • Time Needed: N/A
    • Tools Required: Account Center access, SSH

 

Overview

To ensure security and compatibility, Media Temple is upgrading the Grid's operating system to Debian Wheezy. Included in this article are possible compatibility issues and a list of package changes.

The most significant changes will be for those Grid users that are on server clusters 1-7. These users are currently on 32 bit OS software, which will be upgraded to Wheezy's 64 bit version. For help identifying your cluster, please see the server guide article. Still, the vast majority of users will not notice a significant change to their hosting.

PHP Modules

In addition to upgrading to the Debian Wheezy operating system, clusters 1-7 will be upgraded to 64 bit architecture. If you are currently on clusters 1-7, it is possible that you are using additional php modules that are not included in the standard Grid OS (such as the popular ionCube loader) that will need to be updated to 64 bit versions. Some 32 bit php modules will not need to be upgraded, as they are able to run on either 32 or 64 bit systems. Please consult the individual documentation for the relevant modules. 

ionCube

The ionCube loader is a popular PHP module that makes it possible to use software that has been encoded using ionCube. Developers often use ionCube to protect their proprietary PHP builds. If you are on clusters 1-7 and are using ionCube, you will need to update your ionCube loader version to the 64 bit architecture once the Grid OS update is complete. This is relatively simple and instructions for doing so may be found here. Simply install the ionCube loader libraries using the instructions for the 64 bit version.

Berkeley DB

Berkeley DB is a database utility similar to MySQL or PostgreSQL. If you are using a Berkeley DB, you will need to either migrate to a new DB or upgrade to the Berkeley DB 64 bit version 5.1. If you are using a subversion (SVN) repository it is possible that you are also using a Berkeley DB backend. In this case, you will want to convert your subversion repositories from BDB to FSFS. To do this, SSH to your Grid server and execute the following:

svnadmin --fs-type create new_repo
svnadmin dump repo1 new_repo.dumpfile
svnadmin load repo2 new_repo.dumpfile

For additional help with this, please see the documentation here.

 

Self-Compiled Software

If you are utilizing self-compiled software on the Grid, it may be necessary for you to recompile the software in order to make it compatible with 64 bit Debian Wheezy. To reduce the likelihood of compatibility issues, we recommend that you statically compile your binaries.

Package Changes

The following is a list of packages installed on the Grid, in both the Squeeze and Wheezy cluster roots, which had a version number change. There are many packages that either did not change or are only included in either Squeeze or Wheezy. Please consult Debian's documentation for questions about particular package changes.

The format is 'Package_Name - Old_version - New_version' 

acct - 6.5.4 - 6.5.5
adduser - 3.112 - 3.113
alpine - 2.00 - 2.02
amavisd-new - 1:2.6.4 - 1:2.7.1
apache2 - 2.2.16 - 2.2.22
apache2-mpm-worker - 2.2.16 - 2.2.22
apache2-utils - 2.2.16 - 2.2.22
apache2.2-bin - 2.2.16 - 2.2.22
apache2.2-common - 2.2.16 - 2.2.22
apt - 0.8.10.3 - 0.9.7.9
apt-file - 2.4.0 - 2.5.1
apt-utils - 0.8.10.3 - 0.9.7.9
aptitude - 0.6.3 - 0.6.8.2
arc - 5.21o - 5.21p
aspell - 0.60.6 - 0.60.7~20110707
aspell-bg - 3.0 - 4.1
aspell-bn - 0.60.0.01.1.1 - 1:0.01.1
aspell-ca - 0.6 - 0.20111230b
aspell-de - 20091006 - 20120607
aspell-doc - 0.60.6 - 0.60.7~20110707
aspell-en - 6.0 - 7.1
aspell-es - 1.10 - 1.11
aspell-fo - 0.2.40 - 0.4.1
aspell-nl - 1:2.0 - 1:2.10
aspell-pl - 20100526 - 20110901
aspell-pt-br - 20100109 - 20110527
aspell-uk - 1.6.0 - 1.6.5
at - 3.1.12 - 3.1.13
augeas-lenses - 0.7.2 - 0.10.0
augeas-tools - 0.7.2 - 0.10.0
autoconf - 2.68 - 2.69
automake - 1:1.11.1 - 1:1.11.6
autotools-dev - 20100122.1 - 20120608.1
awstats - 6.9.5~dfsg - 7.0~dfsg
base-files - 6.0squeeze10 - 7.1wheezy9
base-passwd - 3.5.22 - 3.5.26
bash - 4.1 - 4.2
bind9-host - 1:9.7.3.dfsg - 1:9.8.4.dfsg.P1
binutils - 2.20.1 - 2.22
bison - 1:2.4.1.dfsg - 1:2.5.dfsg
bsdmainutils - 8.0.13 - 9.0.3
bsdutils - 1:2.17.2 - 1:2.20.1
bzip2 - 1.0.5 - 1.0.6
ca-certificates - 20090814 - 20130119
conntrack - 1:0.9.14 - 1:1.2.1
conntrackd - 1:0.9.14 - 1:1.2.1
console-common - 0.7.85 - 0.7.87
console-data - 2:1.10 - 2:1.12
coreutils - 8.5 - 8.13
cpp - 4:4.4.5 - 4:4.7.2
cracklib-runtime - 2.8.16 - 2.8.19
curl - 7.21.0 - 7.26.0
cvs - 1:1.12.13 - 2:1.12.13
dash - 0.5.5.1 - 0.5.7
dbus - 1.2.24 - 1.6.8
debconf - 1.5.36.1 - 1.5.49
debconf-i18n - 1.5.36.1 - 1.5.49
debconf-utils - 1.5.36.1 - 1.5.49
debian-archive-keyring - 2010.08.28 - 2014.3~deb7u1
debianutils - 3.4 - 4.3.2
dh-make - 0.55 - 0.61
dh-make-perl - 0.70 - 0.75
dictionaries-common - 1.5.17 - 1.12.11
diffutils - 1:3.0 - 1:3.2
dmidecode - 2.9 - 2.11
dnsmasq - 2.55 - 2.62
dnsmasq-base - 2.55 - 2.62
dnsutils - 1:9.7.3.dfsg - 1:9.8.4.dfsg.P1
dpatch - 2.0.31 - 2.0.35
dpkg - 1.15.12 - 1.16.17
dpkg-dev - 1.15.12 - 1.16.17
dselect - 1.15.12 - 1.16.17
dvipng - 1.13 - 1.14
e2fslibs - 1.41.12 - 1.42.5
e2fsprogs - 1.41.12 - 1.42.5
ed - 1.4 - 1.6
emacs - 23.2 - 45.0
emacs23 - 23.2 - 23.4
emacs23-bin-common - 23.2 - 23.4
emacs23-common - 23.2 - 23.4
emacsen-common - 1.4.22 - 2.0.5
ethtool - 1:2.6.34 - 1:3.4.2
fakeroot - 1.14.4 - 1.18.4
file - 5.04 - 5.11
fontconfig - 2.8.0 - 2.9.0
fontconfig-config - 2.8.0 - 2.9.0
fping - 2.4b2 - 3.2
g++ - 4:4.4.5 - 4:4.7.2
gcc - 4:4.4.5 - 4:4.7.2
gconf2-common - 2.28.1 - 3.2.5
gdb - 7.0.1 - 7.4.1
gdbserver - 7.0.1 - 7.4.1
geoip-database - 1.4.7~beta6 - 20130213
ghostscript - 8.71~dfsg2 - 9.05~dfsg
ghostscript-x - 8.71~dfsg2 - 9.05~dfsg
git - 1:1.7.2.5 - 1:1.7.10.4
git-doc - 1:1.7.2.5 - 1:1.7.10.4
git-email - 1:1.7.2.5 - 1:1.7.10.4
git-svn - 1:1.7.2.5 - 1:1.7.10.4
gitweb - 1:1.7.2.5 - 1:1.7.10.4
gnupg - 1.4.10 - 1.4.12
gnuplot - 4.4.0 - 4.6.0
gnuplot-x11 - 4.4.0 - 4.6.0
gpgv - 1.4.10 - 1.4.12
grep - 2.6.3 - 2.12
groff-base - 1.20.1 - 1.21
guile-1.8-libs - 1.8.7 - 1.8.8
gzip - 1.3.12 - 1.5
hostname - 3.04 - 3.11
iamerican - 3.1.20.0 - 3.3.02
icatalan - 0.6 - 0.20111230b
ifupdown - 0.6.10 - 0.7.8
ihungarian - 0.99.4 - 1.2
imagemagick - 8:6.6.0.4 - 8:6.7.7.10
ingerman - 20091006 - 20120607
ipolish - 20100612 - 20120520
iportuguese - 20091013 - 20120604
iproute - 20100519 - 20120521
ipset - 2.5.0 - 6.12.1
iptables - 1.4.8 - 1.4.14
iputils-ping - 3:20100418 - 3:20101006
iputils-tracepath - 3:20100418 - 3:20101006
ispanish - 1.10 - 1.11
ispell - 3.1.20.0 - 3.3.02
jhead - 1:2.90 - 1:2.95
klibc-utils - 1.5.20 - 2.0.1
krb5-multidev - 1.8.3 - 1.10.1
less - 436 - 444
lftp - 4.0.6 - 4.3.6
libacl1 - 2.2.49 - 2.2.51
libapache-session-perl - 1.87 - 1.89
libapache2-mod-fastcgi - 2.4.6 - 2.4.7~0910052141
libapache2-mod-perl2 - 2.0.4 - 2.0.7
libapache2-reload-perl - 0.10 - 0.12
libappconfig-perl - 1.56 - 1.66
libapr1 - 1.4.2 - 1.4.6
libaprutil1 - 1.3.9 - 1.4.1
libaprutil1-dbd-sqlite3 - 1.3.9 - 1.4.1
libaprutil1-ldap - 1.3.9 - 1.4.1
libapt-pkg-perl - 0.1.24 - 0.1.26
libasound2 - 1.0.23 - 1.0.25
libaspell-dev - 0.60.6 - 0.60.7~20110707
libaspell15 - 0.60.6 - 0.60.7~20110707
libatk1.0-0 - 1.30.0 - 2.4.0
libatk1.0-data - 1.30.0 - 2.4.0
libattr1 - 1:2.4.44 - 1:2.4.46
libaugeas0 - 0.7.2 - 0.10.0
libavahi-client3 - 0.6.27 - 0.6.31
libavahi-common-data - 0.6.27 - 0.6.31
libavahi-common3 - 0.6.27 - 0.6.31
libberkeleydb-perl - 0.42 - 0.51
libbit-vector-perl - 7.1 - 7.2
libblkid1 - 2.17.2 - 2.20.1
libbsd0 - 0.2.0 - 0.4.2
libbz2-1.0 - 1.0.5 - 1.0.6
libbz2-dev - 1.0.5 - 1.0.6
libc-bin - 2.11.3 - 2.13
libc-client2007e - 8:2007e~dfsg - 8:2007f~dfsg
libc-client2007e-dev - 8:2007e~dfsg - 8:2007f~dfsg
libc-dev-bin - 2.11.3 - 2.13
libc6 - 2.11.3 - 2.13
libc6-dev - 2.11.3 - 2.13
libcairo2 - 1.8.10 - 1.12.2
libcap2 - 1:2.19 - 1:2.22
libcgi-session-perl - 4.41 - 4.46
libchart-perl - 2.4.1 - 2.4.5
libclass-inspector-perl - 1.24 - 1.27
libcomerr2 - 1.41.12 - 1.42.5
libcompress-raw-zlib-perl - 2.026 - 2.052
libconfig-inifiles-perl - 2.52 - 2.75
libconvert-uulib-perl - 1.12 - 1:1.4~dfsg
libcrack2 - 2.8.16 - 2.8.19
libcrack2-dev - 2.8.16 - 2.8.19
libcroco3 - 0.6.2 - 0.6.6
libcrypt-openssl-rsa-perl - 0.25 - 0.28
libcrypt-ssleay-perl - 0.57 - 0.58
libcups2 - 1.4.4 - 1.5.3
libcupsimage2 - 1.4.4 - 1.5.3
libcurl3 - 7.21.0 - 7.26.0
libcurl3-gnutls - 7.21.0 - 7.26.0
libdata-optlist-perl - 0.104 - 0.107
libdate-calc-perl - 6.0 - 6.3
libdate-manip-perl - 6.11 - 6.32
libdatetime-format-builder-perl - 0.7901 - 0.8000
libdatetime-format-w3cdtf-perl - 0.05 - 0.06
libdatetime-perl - 2:0.6100 - 2:0.7500
libdatetime-timezone-perl - 1:1.20 - 1:1.58
libdatrie1 - 0.2.4 - 0.2.5
libdbd-mysql-perl - 4.016 - 4.021
libdbd-pg-perl - 2.17.1 - 2.19.2
libdbd-pgsql - 0.8.2 - 0.8.3
libdbi-perl - 1.612 - 1.622
libdbi-ruby1.8 - 0.4.3 - 0.4.5
libdbus-1-3 - 1.2.24 - 1.6.8
libdbus-glib-1-2 - 0.88 - 0.100.2
libdevel-size-perl - 0.71 - 0.77
libdevel-stacktrace-perl - 1.2100 - 1.2700
libdigest-hmac-perl - 1.02 - 1.03
libdigest-perl - 1.16 - 1.17
libdjvulibre-text - 3.5.23 - 3.5.25.3
libdjvulibre21 - 3.5.23 - 3.5.25.3
libdpkg-perl - 1.15.12 - 1.16.17
libdrm-intel1 - 2.4.21 - 2.4.40
libdrm-radeon1 - 2.4.21 - 2.4.40
libdrm2 - 2.4.21 - 2.4.40
libemail-abstract-perl - 3.002 - 3.004
libemail-address-perl - 1.889 - 1.895
libemail-mime-perl - 1.903 - 1.910
libemail-simple-perl - 2.100 - 2.101
libemail-valid-perl - 0.184 - 0.190
libevtlog0 - 0.2.8~1 - 0.2.12
libexception-class-perl - 1.31 - 1.32
libexpat1 - 2.0.1 - 2.1.0
libexpat1-dev - 2.0.1 - 2.1.0
libfcgi-perl - 0.71 - 0.74
libfile-chdir-perl - 0.1003 - 0.1006
libfile-map-perl - 0.37 - 0.64
libfilter-perl - 1.37 - 1.45
libfontconfig1 - 2.8.0 - 2.9.0
libfontenc-dev - 1:1.0.5 - 1:1.1.1
libfontenc1 - 1:1.0.5 - 1:1.1.1
libfreetype6 - 2.4.2 - 2.4.9
libfreetype6-dev - 2.4.2 - 2.4.9
libgcc1 - 1:4.4.5 - 1:4.7.2
libgcrypt11 - 1.4.5 - 1.5.0
libgcrypt11-dev - 1.4.5 - 1.5.0
libgd-gd2-perl - 1:2.39 - 1:2.46
libgd-ruby1.8 - 0.7.4.1 - 0.8.0
libgeoip1 - 1.4.7~beta6 - 1.4.8
libgl1-mesa-dri - 7.7.1 - 8.0.5
libgl1-mesa-glx - 7.7.1 - 8.0.5
libglib2.0-0 - 2.24.2 - 2.33.12
libglib2.0-data - 2.24.2 - 2.33.12
libglu1-mesa - 7.7.1 - 8.0.5
libgmpxx4ldbl - 2:4.3.2 - 2:5.0.5
libgnutls26 - 2.8.6 - 2.12.20
libgomp1 - 4.4.5 - 4.7.2
libgpg-error-dev - 1.6 - 1.10
libgpg-error0 - 1.6 - 1.10
libgsasl7 - 1.4.4 - 1.8.0
libgssapi-krb5-2 - 1.8.3 - 1.10.1
libgssglue1 - 0.1 - 0.4
libgssrpc4 - 1.8.3 - 1.10.1
libgtk2.0-0 - 2.20.1 - 2.24.10
libgtk2.0-bin - 2.20.1 - 2.24.10
libgtk2.0-common - 2.20.1 - 2.24.10
libhtml-calendarmonth-perl - 1.19 - 1.26
libhtml-element-extended-perl - 1.17 - 1.18
libhtml-format-perl - 2.04 - 2.10
libhtml-mason-perl - 1:1.44 - 1:1.48
libhtml-parser-perl - 3.66 - 3.69
libhtml-scrubber-perl - 0.08 - 0.09
libhtml-tableextract-perl - 2.10 - 2.11
libhtml-template-perl - 2.9 - 2.91
libhtml-tree-perl - 3.23 - 5.02
libhttp-server-simple-perl - 0.43 - 0.44
libice6 - 2:1.0.6 - 2:1.0.8
libidn11 - 1.15 - 1.25
libidn11-dev - 1.15 - 1.25
libimage-exiftool-perl - 8.15 - 8.60
libimlib2 - 1.4.2 - 1.4.5
libio-all-perl - 0.39 - 0.44
libio-multiplex-perl - 1.10 - 1.13
libio-socket-inet6-perl - 2.65 - 2.69
libio-socket-ssl-perl - 1.77 - 1.76
libipc-run-perl - 0.89 - 0.92
libjpeg-progs - 8b - 8d
libjpeg8 - 8b - 8d
libjson0 - 0.9 - 0.10
libk5crypto3 - 1.8.3 - 1.10.1
libkeyutils1 - 1.4 - 1.5.5
libklibc - 1.5.20 - 2.0.1
libkrb5-3 - 1.8.3 - 1.10.1
libkrb5-dev - 1.8.3 - 1.10.1
libkrb5support0 - 1.8.3 - 1.10.1
liblcms1 - 1.18.dfsg - 1.19.dfsg2
libldap-2.4-2 - 2.4.23 - 2.4.31
libldap2-dev - 2.4.23 - 2.4.31
liblist-moreutils-perl - 0.25~02 - 0.33
liblocale-maketext-lexicon-perl - 0.82 - 0.91
liblockfile1 - 1.08 - 1.09
liblog-dispatch-perl - 2.22 - 2.32
liblog-log4perl-perl - 1.20 - 1.29
libltdl-dev - 2.2.6b - 2.4.2
libltdl7 - 2.2.6b - 2.4.2
liblua5.1-0 - 5.1.4 - 5.1.5
liblzo2-2 - 2.03 - 2.06
libm17n-0 - 1.6.1 - 1.6.3
libmagic1 - 5.04 - 5.11
libmail-dkim-perl - 0.38 - 0.39
libmail-spf-perl - 2.007 - 2.8.0
libmailtools-perl - 2.06 - 2.09
libmime-lite-perl - 3.027 - 3.028
libmime-tools-perl - 5.428 - 5.503
libmime-types-perl - 1.30 - 1.35
libmodule-depends-perl - 0.14 - 0.16
libmodule-load-conditional-perl - 0.38 - 0.50
libmp3-tag-perl - 1.12 - 1.13
libmpfr4 - 3.0.0 - 3.1.0
libmysql++-dev - 3.0.9 - 3.1.0
libmysql++3 - 3.0.9 - 3.1.0
libmysqlclient-dev - 5.1.73 - 5.5.47
libncurses5 - 5.7 - 5.9
libncursesw5 - 5.7 - 5.9
libneon27-gnutls - 0.29.3 - 0.29.6
libnet-cidr-perl - 0.13 - 0.15
libnet-daemon-perl - 0.43 - 0.48
libnet-server-perl - 0.97 - 2.006
libnet-ssleay-perl - 1.36 - 1.48
libnetaddr-ip-perl - 4.028 - 4.062
libnetfilter-conntrack3 - 0.0.101 - 1.0.1
libnewt0.52 - 0.52.11 - 0.52.14
libnfsidmap2 - 0.23 - 0.25
libopts25 - 1:5.10 - 1:5.12
libotf0 - 0.9.11 - 0.9.12
libpam-modules - 1.1.1 - 1.1.3
libpam-runtime - 1.1.1 - 1.1.3
libpam0g - 1.1.1 - 1.1.3
libpam0g-dev - 1.1.1 - 1.1.3
libpango1.0-0 - 1.28.3 - 1.30.0
libparams-util-perl - 1.00 - 1.07
libparams-validate-perl - 0.93 - 1.06
libparse-debianchangelog-perl - 1.1.1 - 1.2.0
libpcap0.8 - 1.1.1 - 1.3.0
libpci3 - 1:3.1.7 - 1:3.1.9
libpcre3 - 8.02 - 1:8.30
libpcre3-dev - 8.02 - 1:8.30
libpcrecpp0 - 8.02 - 1:8.30
libpgsql-ruby1.8 - 0.8.0 - 0.13.2
libpixman-1-0 - 0.16.4 - 0.26.0
libpng12-0 - 1.2.44 - 1.2.49
libpng12-dev - 1.2.44 - 1.2.49
libpq-dev - 8.4.22lts5 - 9.1.18
libpq5 - 8.4.22lts5 - 9.1.18
libpspell-dev - 0.60.6 - 0.60.7~20110707
libqdbm14 - 1.8.77 - 1.8.78
libreadline6 - 6.1 - 6.2
libregexp-assemble-perl - 0.34 - 0.35
librpc-xml-perl - 0.77 - 0.76
librrd4 - 1.4.3 - 1.4.7
librsvg2-2 - 2.26.3 - 2.36.1
libruby1.8 - 1.8.7.302 - 1.8.7.358
libsasl2-2 - 2.1.23.dfsg1 - 2.1.25.dfsg1
libsasl2-modules - 2.1.23.dfsg1 - 2.1.25.dfsg1
libsasl2-modules-sql - 2.1.23.dfsg1 - 2.1.25.dfsg1
libsdl1.2debian - 1.2.14 - 1.2.15
libselinux1 - 2.0.96 - 2.1.9
libsensors4 - 1:3.1.2 - 1:3.3.2
libsepol1 - 2.0.41 - 2.1.4
libsigc++-2.0-0c2a - 2.2.4.2 - 2.2.10
libslang2 - 2.2.2 - 2.2.4
libsm6 - 2:1.1.1 - 2:1.2.1
libsoap-lite-perl - 0.712 - 0.714
libsqlite3-0 - 3.7.3 - 3.7.13
libss2 - 1.41.12 - 1.42.5
libssh2-1 - 1.2.6 - 1.4.2
libssl-dev - 0.9.8o - 1.0.1e
libstdc++6 - 4.4.5 - 4.7.2
libsub-exporter-perl - 0.982 - 0.984
libsub-install-perl - 0.924 - 0.926
libsub-name-perl - 0.04 - 0.05
libsvn-perl - 1.6.12dfsg - 1.6.17dfsg
libsvn1 - 1.6.12dfsg - 1.6.17dfsg
libtasn1-3 - 2.7 - 2.13
libtasn1-3-bin - 2.7 - 2.13
libtemplate-perl - 2.22 - 2.24
libtext-csv-xs-perl - 0.73 - 0.90
libthai-data - 0.1.14 - 0.1.18
libthai0 - 0.1.14 - 0.1.18
libtiff4 - 3.9.4 - 3.9.6
libtool - 2.4 - 2.4.2
liburi-perl - 1.54 - 1.60
libuuid1 - 2.17.2 - 2.20.1
libwww-mechanize-perl - 1.64 - 1.71
libwww-perl - 5.836 - 6.04
libwxbase2.8-0 - 2.8.10.1 - 2.8.12.1
libwxgtk2.8-0 - 2.8.10.1 - 2.8.12.1
libx11-6 - 2:1.3.3 - 2:1.5.0
libx11-data - 2:1.3.3 - 2:1.5.0
libx11-dev - 2:1.3.3 - 2:1.5.0
libxapian22 - 1.2.3 - 1.2.12
libxau-dev - 1:1.0.6 - 1:1.0.7
libxau6 - 1:1.0.6 - 1:1.0.7
libxaw7 - 2:1.0.7 - 2:1.0.10
libxcb-render0 - 1.6 - 1.8.1
libxcb1 - 1.6 - 1.8.1
libxcb1-dev - 1.6 - 1.8.1
libxcomposite1 - 1:0.4.2 - 1:0.4.3
libxcursor1 - 1:1.1.10 - 1:1.1.13
libxdmcp-dev - 1:1.0.3 - 1:1.1.1
libxdmcp6 - 1:1.0.3 - 1:1.1.1
libxext-dev - 2:1.1.2 - 2:1.3.1
libxext6 - 2:1.1.2 - 2:1.3.1
libxfixes3 - 1:4.0.5 - 1:5.0
libxfont-dev - 1:1.4.1 - 1:1.4.5
libxfont1 - 1:1.4.1 - 1:1.4.5
libxft2 - 2.1.14 - 2.3.1
libxi-dev - 2:1.3 - 2:1.6.1
libxi6 - 2:1.3 - 2:1.6.1
libxinerama1 - 2:1.1 - 2:1.1.2
libxml-libxml-perl - 1.70.ds - 2.0001
libxml-parser-perl - 2.36 - 2.41
libxml-parser-ruby1.8 - 0.7.1 - 0.7.2
libxml-regexp-perl - 0.03 - 0.04
libxml-rss-perl - 1.48 - 1.49
libxml-ruby1.8 - 1.1.3 - 2.3.2
libxml-sax-perl - 0.96 - 0.99
libxml-simple-perl - 2.18 - 2.20
libxml-twig-perl - 1:3.34 - 1:3.39
libxml-writer-perl - 0.611 - 0.615
libxml-xpathengine-perl - 0.12 - 0.13
libxml2 - 2.7.8.dfsg - 2.8.0
libxml2-dev - 2.7.8.dfsg - 2.8.0
libxmu6 - 2:1.0.5 - 2:1.1.1
libxmuu1 - 2:1.0.5 - 2:1.1.1
libxp6 - 1:1.0.0.xsf1 - 1:1.0.1
libxpm-dev - 1:3.5.8 - 1:3.5.10
libxpm4 - 1:3.5.8 - 1:3.5.10
libxrandr2 - 2:1.3.0 - 2:1.3.2
libxrender1 - 1:0.9.6 - 1:0.9.7
libxt6 - 1:1.0.7 - 1:1.1.3
libxtst6 - 2:1.1.0 - 2:1.2.1
libxv-dev - 2:1.0.5 - 2:1.0.7
libxv1 - 2:1.0.5 - 2:1.0.7
libxxf86dga1 - 2:1.1.1 - 2:1.1.3
libxxf86vm1 - 1:1.1.0 - 1:1.1.2
libyaml-perl - 0.71 - 0.81
libyaml-syck-perl - 1.12 - 1.20
linux-libc-dev - 2.6.32 - 3.2.73
locales - 2.11.3 - 2.13
lockfile-progs - 0.1.15 - 0.1.17
login - 1:4.1.4.2 - 1:4.1.5.1
logrotate - 3.7.8 - 3.8.1
lsb-base - 3.2 - 4.1
lsb-release - 3.2 - 4.1
lsof - 4.81.dfsg.1 - 4.86
lzop - 1.02~rc1 - 1.03
m17n-contrib - 1.1.11 - 1.1.13
m17n-db - 1.6.1 - 1.6.3
m4 - 1.4.14 - 1.4.16
mailutils - 1:2.1 - 1:2.99.97
man-db - 2.5.7 - 2.6.2
manpages - 3.27 - 3.44
memcached - 1.4.5 - 1.4.13
mime-support - 3.48 - 3.52
mlock - 8:2007e~dfsg - 8:2007f~dfsg
module-init-tools - 3.12 - 9
monit - 1:5.1.1 - 1:5.4
mount - 2.17.2 - 2.20.1
mtools - 4.0.12 - 4.0.17
mysql-client - 5.1.73 - 5.5.47
mysql-common - 5.1.73 - 5.5.47
nano - 2.2.4 - 2.2.6
ncftp - 2:3.2.4 - 2:3.2.5
ncurses-base - 5.7 - 5.9
ncurses-bin - 5.7 - 5.9
netbase - 4.45 - 5.0
netpipe-tcp - 3.7.1 - 3.7.2
nfs-common - 1:1.2.2 - 1:1.2.6
nginx-common - 1.2.7 - 1.2.1
nginx-full - 1.2.7 - 1.2.1
ntp - 1:4.2.6.p2 - 1:4.2.6.p5
ntpdate - 1:4.2.6.p2 - 1:4.2.6.p5
openssh-client - 1:5.5p1 - 1:6.0p1
openssh-server - 1:5.5p1 - 1:6.0p1
openssl - 0.9.8o - 1.0.1e
passwd - 1:4.1.4.2 - 1:4.1.5.1
patch - 2.6 - 2.6.1
patchutils - 0.3.1 - 0.3.2
pax - 1:20090728 - 1:20120606
pciutils - 1:3.1.7 - 1:3.1.9
pdnsd - 1.2.7 - 1.2.8
perl - 5.10.1 - 5.14.2
perl-base - 5.10.1 - 5.14.2
perl-doc - 5.10.1 - 5.14.2
perl-modules - 5.10.1 - 5.14.2
perlmagick - 8:6.6.0.4 - 8:6.7.7.10
pkg-config - 0.25 - 0.26
postgresql-client - 8.4.22lts5 - 9.1
postgresql-client-common - 113 - 134wheezy4
procps - 1:3.2.8 - 1:3.3.3
psmisc - 22.11 - 22.19
pure-ftpd-common - 1.0.28 - 1.0.36
pure-ftpd-mysql - 1.0.28 - 1.0.36
python - 2.6.6 - 2.7.3
python-central - 0.6.16 - 0.6.17
python-cracklib - 2.8.16 - 2.8.19
python-dbg - 2.6.6 - 2.7.3
python-dev - 2.6.6 - 2.7.3
python-docutils - 0.7 - 0.8.1
python-examples - 2.6.6 - 2.7.3
python-gdbm - 2.6.6 - 2.7.3
python-lxml - 2.2.8 - 2.3.2
python-minimal - 2.6.6 - 2.7.3
python-mysqldb - 1.2.2 - 1.2.3
python-pkg-resources - 0.6.14 - 0.6.24
python-pygments - 1.3.1 - 1.5
python-roman - 0.7 - 0.8.1
python-subversion - 1.6.12dfsg - 1.6.17dfsg
python-support - 1.0.10 - 1.0.15
python2.6 - 2.6.6 - 2.6.8
python2.6-minimal - 2.6.6 - 2.6.8
python3 - 3.1.3 - 3.2.3
python3-minimal - 3.1.3 - 3.2.3
rcs - 5.7 - 5.8.1
readline-common - 6.1 - 6.2
resolvconf - 1.46 - 1.67
ri - 4.5 - 1:1.9.3
ri1.8 - 1.8.7.302 - 1.8.7.358
rrdtool - 1.4.3 - 1.4.7
rsync - 3.0.7 - 3.0.9
ruby - 4.5 - 1:1.9.3
ruby1.8 - 1.8.7.302 - 1.8.7.358
ruby1.8-dev - 1.8.7.302 - 1.8.7.358
sensible-utils - 0.0.4 - 0.0.7
shared-mime-info - 0.71 - 1.0
sharutils - 1:4.9 - 1:4.11.1
spamassassin - 3.3.1 - 3.3.2
spamc - 3.3.1 - 3.3.2
ssh - 1:5.5p1 - 1:6.0p1
ssl-cert - 1.0.28 - 1.0.32
subversion - 1.6.12dfsg - 1.6.17dfsg
subversion-tools - 1.6.12dfsg - 1.6.17dfsg
sudo - 1.7.4p4 - 1.8.5p2
syslog-ng - 3.1.3 - 3.3.5
sysstat - 9.0.6.1 - 10.0.5
tar - 1.23 - 1.26
tasksel - 2.88 - 3.14.1
tasksel-data - 2.88 - 3.14.1
tcpdump - 4.1.1 - 4.3.0
tcsh - 6.17.02 - 6.18.01
tex-common - 2.08.1 - 3.15
traceroute - 1:2.0.15 - 1:2.0.18
tree - 1.5.3 - 1.6.0
ttf-freefont - 20090104 - 20120503
tzdata - 2015g - 2015f
ufraw-batch - 0.16 - 0.18
update-inetd - 4.38 - 4.43
util-linux - 2.17.2 - 2.20.1
util-linux-locales - 2.17.2 - 2.20.1
vim - 2:7.2.445 - 2:7.3.547
vim-common - 2:7.2.445 - 2:7.3.547
vim-runtime - 2:7.2.445 - 2:7.3.547
wamerican - 6 - 7.1
wget - 1.12 - 1.13.4
whiptail - 0.52.11 - 0.52.14
x11-common - 1:7.5 - 1:7.7
x11-utils - 7.5 - 7.7~1
x11proto-bigreqs-dev - 1:1.1.0 - 1:1.1.2
x11proto-core-dev - 7.0.16 - 7.0.23
x11proto-fonts-dev - 2.1.0 - 2.1.2
x11proto-input-dev - 2.0 - 2.2
x11proto-kb-dev - 1.0.4 - 1.0.6
x11proto-video-dev - 2.3.0 - 2.3.1
x11proto-xext-dev - 7.1.1 - 7.2.1
x11proto-xf86vidmode-dev - 2.3 - 2.3.1
xauth - 1:1.0.4 - 1:1.0.7
xbitmaps - 1.1.0 - 1.1.1
xfonts-encodings - 1:1.0.3 - 1:1.0.4
xfonts-utils - 1:7.5 - 1:7.7~1
xterm - 261 - 278
xtrans-dev - 1.2.5 - 1.2.7
xz-utils - 5.0.0 - 5.1.1alpha
zlib1g - 1:1.2.3.4.dfsg - 1:1.2.7.dfsg
zlib1g-dev - 1:1.2.3.4.dfsg - 1:1.2.7.dfsg

 

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk